Looking for the latest version? Download nicos-2.6.0.tar.gz (5.7 MB)
Home
Name Modified Size Downloads / Week Status
Totals: 3 Items   10.9 MB 4
nicos-2.6.0.tar.gz 2015-01-02 5.7 MB 22 weekly downloads
README 2014-09-18 2.6 kB 11 weekly downloads
nicos-2.5.0.tar.gz 2014-09-18 5.2 MB 11 weekly downloads
This is the NICOS 2 instrument control system ============================================= Starting points --------------- Start a basic system and experiment: $ bin/nicos-demo Documentation: for release packages look in doc/build/html. Installing ---------- To install, you need to select or create a customization in custom/. If that exists, use make install and/or make install-gui Requirements ------------ * At least Python 2.6 * nicos-pyctl * numpy * pyzmq version >= 2 * Optional for the basic system: - the TACO Python libraries - scipy (for fitting) - mysql-connector-python (preferred) or MySQLdb (for proposal DB query) - pyserial (for TACO-less serial line communication) - matplotlib (for resolution plots) - gnuplot (for plots in the electronig logbook) - Grace (for scanplot) - lxml (for U-Bahn service) - pyfits (for the handling of FITS formatted files) - rsa - pyasn1 * For the GUI and status monitor: - PyQt4 - numpy - gr (optional, for plots) - PyQwt (optional, for the transition period as an alternative to gr, for plots) - scipy (optional, for fitting) - nicos-livewidget (optional, for detector live view) - cfitsio (optional, required by nicos-livewidget) * For development (running tests, generating documentation): - nose - coverage (optional) - sphinx (for generating doc) * Under Windows: - pyreadline (optional, for the console to work) - colorama (optional, for colored console output) If not supplied by the distribution (see below), most dependencies (except PytQt, PyQwt, sip) can be installed from the python package repository: pip install -r requirements.txt pip can be obtained from http://www.pip-installer.org/en/latest/installing.html For xBuntu 12.04: Install pip: sudo apt-get install python-pip Pip on xBuntu 12.04 is an outdated version, we need at least pip 1.4. To update pip use the following lines: sudo pip install --upgrade pip hash -r Packages to install for common distributions -------------------------------------------- xBuntu 12.04 ^^^^^^^^^^^^ * Basic system: apt-get install python python-dev python-numpy python-scipy gnuplot grace * Optional components: apt-get install python-mysqldb python-pyxmpp python-serial python-matplotlib python-pyfits python-lxml * GUI and status monitor: apt-get install python-numpy python-qt4 python-qwt5-qt4 python-scipy libcfitsio3-dev * Development and documentation build: apt-get install python-sip-dev python-qt4-dev python-nose python-coverage python-sphinx
Source: README, updated 2014-09-18